﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Diagnostics;
using System.Drawing;

namespace Dpi96 {
    class App {
        static void Main(string[] args) {
            foreach (var arg in args) {

                string path;
                string searchPattern;
                int lastBackslash = arg.LastIndexOf('\\');
                if (lastBackslash >= 0) { //there is directory there.
                    path = arg.Substring(0, lastBackslash);
                    searchPattern = arg.Substring(lastBackslash + 1);
                } else { //just file pattern
                    path = ".";
                    searchPattern = arg;
                }

                Console.WriteLine(path);
                foreach (var file in Directory.GetFiles(path, searchPattern)) {
                    Console.WriteLine(string.Format("   {0}", (new FileInfo(file)).Name));
                    var image = new Bitmap(file);
                    var newImage = new Bitmap(image);
                    image.Dispose();
                    newImage.SetResolution(96, 96);
                    newImage.Save(file);
                    newImage.Dispose();
                }
            }
        }
    }
}
